//SimpleInstallScript.js
importPackage(Packages.de.elo.ix.client);
importPackage(Packages.java.io);

doInstall();

function doInstall() {
  var payloadDir = workspace.directories.payloadDir.path;
  var jcScriptFolder;
  var installDataZip = File.separator + "Click&Find.zip";
  var installDataZipFile;
  var indexp;
  var strSubfolder;
  var jcSubFolderId;
  var jcSubFolderElement;
  try {
    jcScriptFolder = archive.getElementByGuid('(E10E1000-E100-E100-E100-E10E10E10E11)');
  } catch (e) {
	log.warn("Exception finding Scripting folder: " + e.toString());
    workspace.showAlertBox("ELO Install", utils.getText("Click&FindInstall", "MissingScriptingFolder"));    
    return;
  }
  
  installDataZipFile = new File(payloadDir + installDataZip);
  if (installDataZipFile.exists() == false) {
	log.warn("Exception finding file in eloinst package: " + payloadDir + installDataZip);
    workspace.showAlertBox("ELO Install", utils.getText("Click&FindInstall", "PayloadMissing"));    
    return;
  }
  
  try {
    //Remove Subfolder
    indexp = installDataZip.indexOf(".");
    strSubfolder = installDataZip.substring(1, indexp);
    jcSubFolderId = jcScriptFolder.addPath(" JS" + strSubfolder, 1);
    jcSubFolderElement = archive.getElement(jcSubFolderId);
    jcSubFolderElement.del();
    //Create Subfolder
    jcSubFolderId = jcScriptFolder.addPath(" JS" + strSubfolder, 1);
    workspace.doImport(payloadDir + installDataZip, jcSubFolderId, ImportOptionsC.GUIDS_KEEP, ImportOptionsC.USE_PARENT_ACL);
    workspace.activeView.refreshArchive();
  } catch (e) {
	log.warn("Exception while creating the subfolder: " + e.toString());
    workspace.showAlertBox("ELO Install", utils.getText("Click&FindInstall", "CreateSubfolderError"));    
    return;
  }
}
